
package com.turkcell.messaging;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class MainActivity extends Activity {

   @Override
   protected void onCreate(Bundle savedInstanceState) {
      super.onCreate(savedInstanceState);
      setContentView(R.layout.activity_main);

      ((Button) findViewById(R.id.send_mail)).setOnClickListener(new OnClickListener() {

         @Override
         public void onClick(View v) {
            Intent intent = new Intent(Intent.ACTION_SEND);
            intent.setType("text/html");
            intent.putExtra(Intent.EXTRA_EMAIL, new String[] { "egitim@turkcell.com.tr" });
            intent.putExtra(Intent.EXTRA_SUBJECT, "Android");
            intent.putExtra(Intent.EXTRA_TEXT, "Kod dosyalarina nasil ulasabiliriz?");
            startActivity(Intent.createChooser(intent, "Send Email"));
         }
      });

      ((Button) findViewById(R.id.send_sms)).setOnClickListener(new OnClickListener() {

         @Override
         public void onClick(View v) {
            String smsNumber = "05322100000";
            String smsText = "Merhaba naber?";

            Uri uri = Uri.parse("smsto:" + smsNumber);
            Intent intent = new Intent(Intent.ACTION_SENDTO, uri);
            intent.putExtra("sms_body", smsText);
            startActivity(intent);
         }
      });
   }

}
